TSORT(1)

NAME
tsort - topological sort of a directed graph

SYNOPSIS
tsort [-dlq] [file]

DESCRIPTION
The tsort utility takes a list of pairs of node names representing directed arcs in a graph and prints the nodes in topological order on standard output. Input is taken from the named file, or from standard input if no file is given.

There must be an even number of nodes in the input. Node names specified on the same line should be white space separated.

Presence of a node in a graph can be represented by an arc from the node to itself. This is useful when a node is not connected to any other nodes.

If the graph contains a cycle (and therefore cannot be properly sorted), one of the arcs in the cycle is ignored and the sort continues. Cycles are reported on standard error.

The options are as follows:

-d  Turn on debugging.

-l  Search for and display the longest cycle. Can take a very long time.

-q  Do not display informational messages about cycles. This is primarily intended for building libraries, where optimal ordering is not critical, and cycles occur often.

SEE ALSO
ar(1)

HISTORY
The tsort command appeared in AT&T UNIX. This tsort command and manual page are derived from sources contributed to Berkeley by Michael Rendell of Memorial University of Newfoundland.

BUGS
The tsort utility does not recognize multibyte characters.